package com.tuoheng.admin.conver;

import com.tuoheng.admin.entity.Inspection;
import com.tuoheng.admin.entity.Report;
import com.tuoheng.admin.vo.inspection.InspectionReportVo;
import com.tuoheng.admin.vo.ReportPageListVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface ReportConverMapper {

    ReportConverMapper INSTANCE = Mappers.getMapper(ReportConverMapper.class);

    Report fromInspectionToReport(Inspection inspection);

    List<ReportPageListVo> fromReportListToReportPageListList(List<Report> reportList);

    InspectionReportVo fromReportToInspectionReportVo(Report report);

}
